Get Verification
curl --request GET \
--url https://api.soharhealth.com/v2/verifications/{verificationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v2/verifications/{verificationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v2/verifications/{verificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v2/verifications/{verificationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v2/verifications/{verificationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soharhealth.com/v2/verifications/{verificationId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v2/verifications/{verificationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"created": "2024-01-01T12:00:00.000Z",
"status": "complete.eligible",
"statusReason": "INACTIVE",
"id": "123456",
"placeOfServiceCode": "11",
"specialtyCode": "PSY",
"benefits": [
{
"networkStatus": "inn",
"tier": 1,
"accuracy": 0.84,
"copay": 30,
"coinsurance": 0.1,
"deductible": {
"total": 1000,
"remaining": 847.56,
"coverageLevelCode": "IND"
},
"outOfPocket": {
"total": 10000,
"remaining": 5103.21,
"coverageLevelCode": "IND"
}
}
],
"limitations": [
{
"total": 20,
"remaining": 12,
"network": "inn",
"quantityQualifierCode": "VS"
}
],
"relatedEntities": [
{
"id": "01260",
"soharId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Magellan",
"memberId": "00000000",
"entityIdentifierCode": "PRP",
"entityQualifier": "PART_A"
}
],
"patient": {
"firstName": "JOHN",
"lastName": "DOE",
"dateOfBirth": "09/20/2023",
"memberId": "00000000",
"gender": "F",
"subscriberRelationshipCode": "18",
"address": {
"address1": "1 BROADWAY",
"address2": "P.O. BOX 123",
"city": "LOS ANGELES",
"state": "CA",
"zipCode": "90210"
}
},
"subscriber": {
"firstName": "JOHN",
"lastName": "DOE",
"dateOfBirth": "09/20/2023",
"gender": "M"
},
"plan": {
"name": "OPEN CHOICE",
"number": "12345678",
"insuranceTypeCode": "HM",
"startDate": "09/20/2023",
"endDate": "09/20/2023",
"networkId": "A2"
},
"payer": {
"id": "60054",
"name": "Aetna"
},
"group": {
"number": "123456",
"name": "ACME CORPORATION"
}
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Verification
Get Verification
GET
/
v2
/
verifications
/
{verificationId}
Get Verification
curl --request GET \
--url https://api.soharhealth.com/v2/verifications/{verificationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v2/verifications/{verificationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v2/verifications/{verificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v2/verifications/{verificationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v2/verifications/{verificationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soharhealth.com/v2/verifications/{verificationId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v2/verifications/{verificationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"created": "2024-01-01T12:00:00.000Z",
"status": "complete.eligible",
"statusReason": "INACTIVE",
"id": "123456",
"placeOfServiceCode": "11",
"specialtyCode": "PSY",
"benefits": [
{
"networkStatus": "inn",
"tier": 1,
"accuracy": 0.84,
"copay": 30,
"coinsurance": 0.1,
"deductible": {
"total": 1000,
"remaining": 847.56,
"coverageLevelCode": "IND"
},
"outOfPocket": {
"total": 10000,
"remaining": 5103.21,
"coverageLevelCode": "IND"
}
}
],
"limitations": [
{
"total": 20,
"remaining": 12,
"network": "inn",
"quantityQualifierCode": "VS"
}
],
"relatedEntities": [
{
"id": "01260",
"soharId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Magellan",
"memberId": "00000000",
"entityIdentifierCode": "PRP",
"entityQualifier": "PART_A"
}
],
"patient": {
"firstName": "JOHN",
"lastName": "DOE",
"dateOfBirth": "09/20/2023",
"memberId": "00000000",
"gender": "F",
"subscriberRelationshipCode": "18",
"address": {
"address1": "1 BROADWAY",
"address2": "P.O. BOX 123",
"city": "LOS ANGELES",
"state": "CA",
"zipCode": "90210"
}
},
"subscriber": {
"firstName": "JOHN",
"lastName": "DOE",
"dateOfBirth": "09/20/2023",
"gender": "M"
},
"plan": {
"name": "OPEN CHOICE",
"number": "12345678",
"insuranceTypeCode": "HM",
"startDate": "09/20/2023",
"endDate": "09/20/2023",
"networkId": "A2"
},
"payer": {
"id": "60054",
"name": "Aetna"
},
"group": {
"number": "123456",
"name": "ACME CORPORATION"
}
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Response
A verification
The status of the verification
Example:
"complete.eligible"
Reason for the verification status when status is "complete.ineligible" or "error.payer". INACTIVE indicates coverage is inactive, NON_COVERED indicates coverage is active but the requested service type is not covered, CONTACT_PAYER_REQUIRED indicates the verification is pending but requires manual payer contact when manual resolution is not enabled, ACTIVE_PENDING_INVESTIGATION indicates coverage is active but further investigation is required to determine eligibility (ie premium not paid), REFERRAL_REQUIRED indicates the requested service requires a referral.
Available options:
INACTIVE, NON_COVERED, CONTACT_PAYER_REQUIRED, ACTIVE_PENDING_INVESTIGATION, REFERRAL_REQUIRED